# Watcher NMS

[![Total Downloads](https://img.shields.io/packagist/dt/mapik/watcher-nms.svg?style=flat-square)](https://packagist.org/packages/mapik/watcher-nms)
[![PHPStan](https://img.shields.io/badge/PHPStan-level%206-brightgreen.svg?style=flat-square)](https://github.com/phpstan/phpstan)

The framework source code can be found here: [cakephp/cakephp](https://github.com/cakephp/cakephp).

## Description
- Network Management System for evidence of access points, used devices, electricity meter readings and etc.
- can automatically load RouterOS devices (via SNMP) based on HTTP/S request from device itself - it describes own device type identifier (must be defined in system)
- it can automatically check interferences with Czech weather radar stations

## Usage
Example of scheduler for RouterOS device:
```
/tool fetch url=("https://nms.watcher.domain/routeros-devices/configuration-script/{device-type-identifier}/" . [/system routerboard get serial-number] . "/watcher-config.rsc")
:delay 5
/file remove watcher-config.rsc
```

if you want also to change admin password to one generated by system based on serial number and SALT set in system, you can use this...

```
/tool fetch url=("https://nms.watcher.domain/routeros-devices/configuration-script/{device-type-identifier}/" . [/system routerboard get serial-number] . "/watcher-config.rsc")
/import watcher-config.rsc
:delay 5
/file remove watcher-config.rsc
```

Password can be found under View of this RouterOS Device
## Installation

1. Download [Composer](https://getcomposer.org/doc/00-intro.md) or update `composer self-update`.
2. Run `php composer.phar create-project --prefer-dist mapik/watcher-nms [app_name]`.

If Composer is installed globally, run

```bash
composer create-project --prefer-dist mapik/watcher-nms
```

In case you want to use a custom app dir name (e.g. `/myapp/`):

```bash
composer create-project --prefer-dist mapik/watcher-nms myapp
```

You can now either use your machine's webserver to view the default home page, or start
up the built-in webserver with:

```bash
bin/cake server -p 8765
```

Then visit `http://localhost:8765` to see the welcome page.

## Configuration

Create and edit the `config/.env` or set system environment variables (eg. for Docker).

## Layout

The app uses [Milligram](https://milligram.io/) (v1.3) minimalist CSS
framework.
